| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::MLClassifierFoundation Class Referenceabstract
Inheritance diagram for Digikam::MLClassifierFoundation:

## Classes
class | VotingGroups

## Public Member Functions
virtual int | predict (const cv::Mat &target, const QList< int > &exclusionLabelList=QList< int >()) const =0
virtual int | predict (const cv::UMat &target, const QList< int > &exclusionLabelList=QList< int >()) const =0
virtual QList< int > | predictMulti (const QList< cv::Mat > &targets) const =0
virtual QList< int > | predictMulti (const QList< cv::UMat > &targets) const =0
virtual bool | retrain ()=0
void | setThreshold (float _threshold)

## Protected Member Functions
virtual bool | loadTrainingData ()=0

## Protected Attributes
QReadWriteLock | lock
float | threshold = 0.0F

## Member Function Documentation

## ◆ predictMulti()

virtual QList< int > Digikam::MLClassifierFoundation::predictMulti | ( | const QList< cv::Mat > & | targets | ) | const
| pure virtual

Implemented in Digikam::AutotagsClassifierYolo.